/****************************************************************************
** Adapted from PDFviewer, originally published in the QT Quarterly:
** http://doc.trolltech.com/qq/QtQuarterly27.pdf
** Copyright (C) 2008 Nokia Corporation and/or its subsidiary(-ies).
** Contact: Qt Software Information (qt-info@nokia.com)
**
** Modified for use with prerex:
** http://www.ctan.org/tex-archive/graphics/prerex
** Copyright (C) 2009 R. D. Tennent 
** School of Computing, Queen's University, rdt@cs.queensu.ca 

** This program is free software; you can redistribute it and/or modify it
** under the terms of the GNU General Public License as published by the
** Free Software Foundation; either version 2 of the License, or (at your
** option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
** Public License for more details.
** 
** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
**
****************************************************************************/

/*

Version 5.4  2009-11-12

  Derived from pdfviewer by

    - excising all UI widgets except the Page spinner and the Scale selector

    - adding URI tooltips and cursor-shape changes for links

    - assigning box, edge, and background-point coordinates to the X clipboard 
      when the user clicks on a box, edge mid-point, or background point, resp. 
      (for a prerex chart with the coordinate grid enabled)
   
    - adding a file watcher to re-load the PDF when the file changes

    - posting taskbar messages to identify the program version and the loaded file,
      and inform the user that the PDF has been re-loaded

  This is the first distributed version of previewer; the version number are
  starting at 5.4 to be compatible with the current version of prerex.

*/

#include <QApplication>
#include "window.h"
#include <iostream>
using namespace std;


int main(int argc, char *argv[])
{

    printf ("This is previewer (a prerex viewer), version %s.\n", version);
    puts ("Copyright (c) 2008 Nokia Corporation and/or its subsidiary(-ies).");
    puts ("Qt Software Information (qt-info@nokia.com)");
    puts ("Copyright (c) 2009  R. D. Tennent");
    puts ("School of Computing, Queen's University, rdt@cs.queensu.ca");
    puts
      ("This program comes with NO WARRANTY. You can redistribute prerex and/or");
    puts
      ("modify it under the terms of the GNU General Public License version 2.");
    puts ("");
    QApplication app(argc, argv);
    QStringList Argv = app.arguments();
    if ( Argv.size() <= 1 ) 
    {
      cout << "Usage: previewier [X-options] file.pdf" << endl;
      return 1;
    }
    Window window;
    QString path = Argv.at(1);
    window.setPath(path);
    window.show();
    return app.exec();
}
